package digital.laboratory.platform.identifybook.emums;

import io.swagger.annotations.ApiModel;
import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
@ApiModel("任务类型枚举")
public enum TaskTypeEnum {

    JD_WS_SH("1","鉴定文书-审核"),
    JD_WS_SH_TH_XG("2","鉴定文书-审核退回修改"),
    JD_WS_SP("3","鉴定文书-审批"),
    JD_WS_SP_TH_XG("4","鉴定文书-审批退回修改"),
    JD_WS_QF_LQ("5","鉴定文书-签发/领取"),
    JD_WS_XG_BC_SH("6","鉴定文书修改/补充-审核"),
    JD_WS_XG_BC_SP("7","鉴定文书修改/补充-审批")

    ;

    private final String code;
    private final String desc;
}
