package digital.laboratory.platform.identifybook.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import digital.laboratory.platform.identifybook.dto.ReceiveIdentifyBookDTO;
import digital.laboratory.platform.identifybook.entity.ReceiveIdentifyBook;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 领取鉴定文书信息表 Mapper 接口
 * </p>
 *
 * @author 旌霖科技-www.jinglin.com
 * @since 2023-08-30
 */
@Mapper
public interface ReceiveIdentifyBookMapper extends BaseMapper<ReceiveIdentifyBook> {

    IPage<ReceiveIdentifyBookDTO> pageReceiveIdentifyBook(IPage<ReceiveIdentifyBook> page, @Param(value = "key") String key);
}
