package digital.laboratory.platform.identifybook.mapper;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import digital.laboratory.platform.identifybook.dto.EntrustmentDTO;
import digital.laboratory.platform.identifybook.entity.TaskNotification;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import digital.laboratory.platform.identifybook.req.EntrustmentREQ;
import digital.laboratory.platform.identifybook.vo.TaskNotificationVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 任务信息表 Mapper 接口
 * </p>
 *
 * @author 旌霖科技-www.jinglin.com
 * @since 2023-08-31
 */
@Mapper
public interface TaskNotificationMapper extends BaseMapper<TaskNotification> {
    IPage<TaskNotificationVO> queryTaskNotificationPage(IPage<TaskNotification> page, @Param(Constants.WRAPPER) QueryWrapper<TaskNotification> qw);
}
