package digital.laboratory.platform.identifybook.req;

import digital.laboratory.platform.identifybook.entity.ModifySupplementApply;
import digital.laboratory.platform.identifybook.utils.BaseRequest;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * <p>
 *
 * </p>
 *
 * @author 旌霖科技-www.jinglin.com
 * @since 2023/5/26 0:08
 */

@Data
@ApiModel(value="ModifySupplementApplyREQ对象", description="封装条件属性")
public class ModifySupplementApplyREQ extends BaseRequest<ModifySupplementApply> implements Serializable {

    @ApiModelProperty(value = "任务模糊查询：（鉴定文书编号/委托人姓名）")
    private String key;

    @ApiModelProperty(value = "业务状态（1：鉴定文书-提交修改补充申请，2：鉴定文书-修改补充-审核通过，-2：鉴定文书-修改补充-审核未通过，3：鉴定文书-修改补充-审批通过，-3：鉴定文书-修改补充-审批通过）")
    private String status;

}
