package digital.laboratory.platform.identifybook.service;

/**
 * @author ChenJiangBao
 * @version 1.0
 * @description: 推送数据到labscare平台接口
 * @date 2025/3/31 9:28
 */
public interface PushDataToLabsCareService {

    /**
     * 推送定性报告数据
     * @param entrustId 委托id
     */
    void pushQualitativeReportData(String entrustId);

    /**
     * 推送鉴定报告审批表数据
     * @param entrustId 委托id
     */
    void pushAppraisalReportApprovalFormData(String entrustId);

    /**
     * 推送归档报告信息数据
     * @param entrustId 委托id
     */
    void pushArchiveReportInfoData(String entrustId);
}
