package digital.laboratory.platform.identifybook.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import digital.laboratory.platform.common.core.util.ClassUtils;
import digital.laboratory.platform.identifybook.dto.EntrustCaseDTO;
import digital.laboratory.platform.identifybook.entity.Entrustment;
import digital.laboratory.platform.identifybook.entity.EntrustmentIdentificationMaterial;
import digital.laboratory.platform.identifybook.entity.IdentifyBookApprove;
import digital.laboratory.platform.identifybook.entity.IdentifyBookRelevance;
import digital.laboratory.platform.identifybook.mapper.IdentifyBookApproveMapper;
import digital.laboratory.platform.identifybook.service.IEntrustmentIdentificationMaterialService;
import digital.laboratory.platform.identifybook.service.IEntrustmentService;
import digital.laboratory.platform.identifybook.service.IIdentifyBookApproveService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import digital.laboratory.platform.identifybook.service.IIdentifyBookRelevanceService;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.Map;

/**
 * <p>
 * 鉴定文书审批表  服务实现类
 * </p>
 *
 * @author 旌霖科技-www.jinglin.com
 * @since 2023-05-25
 */
@Service
@RequiredArgsConstructor
public class IdentifyBookApproveServiceImpl extends ServiceImpl<IdentifyBookApproveMapper, IdentifyBookApprove> implements IIdentifyBookApproveService {

}
